summaryrefslogtreecommitdiff
path: root/dev-ruby/tty-cursor
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/tty-cursor
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/tty-cursor')
-rw-r--r--dev-ruby/tty-cursor/Manifest2
-rw-r--r--dev-ruby/tty-cursor/metadata.xml12
-rw-r--r--dev-ruby/tty-cursor/tty-cursor-0.7.0.ebuild24
-rw-r--r--dev-ruby/tty-cursor/tty-cursor-0.7.1.ebuild29
4 files changed, 67 insertions, 0 deletions
diff --git a/dev-ruby/tty-cursor/Manifest b/dev-ruby/tty-cursor/Manifest
new file mode 100644
index 000000000000..232708c13b71
--- /dev/null
+++ b/dev-ruby/tty-cursor/Manifest
@@ -0,0 +1,2 @@
+DIST tty-cursor-0.7.0.gem 11776 BLAKE2B 5dea8f2bde63f803639b4300bf3a8b22a89de7a20530ede38f75bdae7fbb522fe70adb0c78e20cc45e8001dba9fb378722f9fce6d26a68c0af00b7bc98a62a96 SHA512 00de195ba183174ebd10da7f1fdbb436a17fe9befc6eacb2d4cf4b1505be2c7d0719c0dc32d75a82900b2252ffbed00219ce31836c442b63c267e26dad40da63
+DIST tty-cursor-0.7.1.tar.gz 11015 BLAKE2B 222602d7dd3ef2372555913dc59bdd4b4965ac5c3601268d0f77060835d4ae9bc9fa23d54f811e7c0a453b80786d4ef07e0bd26cc8d76f6b963787a04b17569b SHA512 7c1f664bfb3c8c46aab08cb3806b8a00d92b45195fae47e851967f88040cc64d598bdd80e37f782be83fa60dff82c607d93026ffbf003125fea8230f4e18639e
diff --git a/dev-ruby/tty-cursor/metadata.xml b/dev-ruby/tty-cursor/metadata.xml
new file mode 100644
index 000000000000..3f22dab022d5
--- /dev/null
+++ b/dev-ruby/tty-cursor/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">piotrmurach/tty-cursor</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/tty-cursor/tty-cursor-0.7.0.ebuild b/dev-ruby/tty-cursor/tty-cursor-0.7.0.ebuild
new file mode 100644
index 000000000000..560f169fc107
--- /dev/null
+++ b/dev-ruby/tty-cursor/tty-cursor-0.7.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Move the terminal cursor around and manipulate text using intuitive method calls"
+HOMEPAGE="https://github.com/piotrmurach/tty-cursor"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ echo '-rspec_helper' > .rspec || die
+}
diff --git a/dev-ruby/tty-cursor/tty-cursor-0.7.1.ebuild b/dev-ruby/tty-cursor/tty-cursor-0.7.1.ebuild
new file mode 100644
index 000000000000..db36fec431af
--- /dev/null
+++ b/dev-ruby/tty-cursor/tty-cursor-0.7.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_GEMSPEC="tty-cursor.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Move the terminal cursor around and manipulate text using intuitive method calls"
+HOMEPAGE="https://github.com/piotrmurach/tty-cursor"
+SRC_URI="https://github.com/piotrmurach/tty-cursor/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ echo '-rspec_helper' > .rspec || die
+
+ sed -i -e 's:require_relative ":require "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}